package com.chinaitop.depot.intelligent.energyMonitor.model;

import java.math.BigDecimal;
import java.util.Date;

public class TEnergyHistory {
    private String id;

    private String orgId;

    private String vNhCode;

    private BigDecimal fTotalNh;

    private BigDecimal fVoltage;

    private BigDecimal fElectric;

    private Date vUpdateTime;

    private String vremark;

    private String taskcode;

    private String type;

    private String dataSource;
    
    private String storeHouseName;

    /**
     * 能耗历史表 id
     * @return id 能耗历史表 id
     */
    public String getId() {
        return id;
    }

    /**
     * 能耗历史表 id
     * @param id 能耗历史表 id
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库点编码
     * @return org_id 库点编码
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库点编码
     * @param orgId 库点编码
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 设备code
     * @return v_nh_code 设备code
     */
    public String getvNhCode() {
        return vNhCode;
    }

    /**
     * 设备code
     * @param vNhCode 设备code
     */
    public void setvNhCode(String vNhCode) {
        this.vNhCode = vNhCode == null ? null : vNhCode.trim();
    }

    /**
     * 累计功率
     * @return f_total_nh 累计功率
     */
    public BigDecimal getfTotalNh() {
        return fTotalNh;
    }

    /**
     * 累计功率
     * @param fTotalNh 累计功率
     */
    public void setfTotalNh(BigDecimal fTotalNh) {
        this.fTotalNh = fTotalNh;
    }

    /**
     * 电压
     * @return f_voltage 电压
     */
    public BigDecimal getfVoltage() {
        return fVoltage;
    }

    /**
     * 电压
     * @param fVoltage 电压
     */
    public void setfVoltage(BigDecimal fVoltage) {
        this.fVoltage = fVoltage;
    }

    /**
     * 电流
     * @return f_electric 电流
     */
    public BigDecimal getfElectric() {
        return fElectric;
    }

    /**
     * 电流
     * @param fElectric 电流
     */
    public void setfElectric(BigDecimal fElectric) {
        this.fElectric = fElectric;
    }

    /**
     * 检测时间
     * @return v_update_time 检测时间
     */
    public Date getvUpdateTime() {
        return vUpdateTime;
    }

    /**
     * 检测时间
     * @param vUpdateTime 检测时间
     */
    public void setvUpdateTime(Date vUpdateTime) {
        this.vUpdateTime = vUpdateTime;
    }

    /**
     * 描述
     * @return vRemark 描述
     */
    public String getVremark() {
        return vremark;
    }

    /**
     * 描述
     * @param vremark 描述
     */
    public void setVremark(String vremark) {
        this.vremark = vremark == null ? null : vremark.trim();
    }

    /**
     * 计划作业编码
     * @return taskCode 计划作业编码
     */
    public String getTaskcode() {
        return taskcode;
    }

    /**
     * 计划作业编码
     * @param taskcode 计划作业编码
     */
    public void setTaskcode(String taskcode) {
        this.taskcode = taskcode == null ? null : taskcode.trim();
    }

    /**
     * 类型：1通风 2熏蒸（默认其他）
     * @return type 类型：1通风 2熏蒸（默认其他）
     */
    public String getType() {
        return type;
    }

    /**
     * 类型：1通风 2熏蒸（默认其他）
     * @param type 类型：1通风 2熏蒸（默认其他）
     */
    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    /**
     * 数据来源
     * @return data_source 数据来源
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 数据来源
     * @param dataSource 数据来源
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }

	public String getStoreHouseName() {
		return storeHouseName;
	}

	public void setStoreHouseName(String storeHouseName) {
		this.storeHouseName = storeHouseName;
	}
    
}